Name:		gpshell	
Version:	1.4.3
Release:	1%{?dist}
Summary:	Manage applets on GlobalPlatform and OpenPlatform smart cards

Group:		Development/Tools
License:	GPLv3+
URL:		http://sourceforge.net/projects/globalplatform/
Source0:	http://downloads.sourceforge.net/globalplatform/%{name}-%{version}.tar.gz
Patch0:		gpshell_cmake_build.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	gppcscconnectionplugin >= 1.0.0

BuildRequires:	cmake
BuildRequires:	globalplatform-devel >= 6.0.0

%description
GPShell is a script interpreter which talks to a smart card.  It is written on 
top of the GlobalPlatform library, which was developed by Karsten Ohme.  It 
uses smart card communication protocols ISO-7816-4 and OpenPlatform 2.0.1 and 
GlobalPlatform 2.1.1.  It can establish a secure channel with a smart card, 
load, instantiate, delete, list applets on a smart card.

%prep
%setup -q
%patch0 -p1

# convert to UTF8
(iconv --from=ISO-8859-1 --to=UTF-8 README > README.new && touch -c -r README README.new && mv README.new README)
# copy example scripts to subdirectory
(mkdir -p scripts && cp -ap *.txt scripts)

%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README scripts
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Oct 10 2010 François Kooman <fkooman@tuxed.net> - 1.4.3-1
- update to 1.4.3
- build against globalplatform-6.0.0
- introduce CMake as buildsystem (sent upstream)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 2 2008 François Kooman <fkooman at, tuxed.net> 1.4.2-5
- remove keep timestamps on make install as install-sh is not used anyway

* Mon Dec 1 2008 François Kooman <fkooman at, tuxed.net> 1.4.2-4
- fix mock build by including zlib-devel in BuildReq
- regenerate tarball without Sun sample code and use that

* Sun Nov 30 2008 François Kooman <fkooman at, tuxed.net> 1.4.2-3
- fix summary

* Sun Nov 30 2008 François Kooman <fkooman at, tuxed.net> 1.4.2-2
- change Source0 URL to match package guidelines
- add AUTHORS and CHANGES to doc
- including COPYING instead of COPYING.LESSER as it is actually released under
  GPLv3+
- change license to GPLv3+
- remove pcsc-lite-devel as buildreq as globalplatform-devel already requires
  that
- change to keep dates of files on make install
- convert AUTHORS to UTF-8 and remove DOS line endings

* Mon Sep 22 2008 François Kooman <fkooman at, tuxed.net> 1.4.2-1
- Initial package for Fedora

